## visad.data
Interface DataProcessor

All Known Subinterfaces:
  DataWriter

All Known Implementing Classes:
  BaseDataProcessor, BinaryWriter, EmptyDataWriter

public interface DataProcessor

A hierarchy of methods used by `BaseDataProcessor` to write an arbitrary `Data` object.

Method Summary
`void` `process(DataImpl data, Object token)`
`void` `processDoubleSet(SetType type, CoordinateSystem cs, Unit[] units, DoubleSet set, Object token)`
`void` `processFieldImpl(FunctionType type, Set set, FieldImpl fld, Object token)`
`void` `processFlatField(FunctionType type, Set domainSet, CoordinateSystem cs, CoordinateSystem[] rangeCS, Set[] rangeSets, Unit[] units, FlatField fld, Object token)`
`void` `processFloatSet(SetType type, CoordinateSystem cs, Unit[] units, FloatSet set, Object token)`
`void` `processGridded1DDoubleSet(SetType type, double[][] samples, int[] lengths, CoordinateSystem cs, Unit[] units, ErrorEstimate[] errors, Gridded1DDoubleSet set, Object token)`
`void` `processGridded1DSet(SetType type, float[][] samples, int[] lengths, CoordinateSystem cs, Unit[] units, ErrorEstimate[] errors, Gridded1DSet set, Object token)`
`void` `processGridded2DDoubleSet(SetType type, double[][] samples, int[] lengths, CoordinateSystem cs, Unit[] units, ErrorEstimate[] errors, Gridded2DDoubleSet set, Object token)`
`void` `processGridded2DSet(SetType type, float[][] samples, int[] lengths, CoordinateSystem cs, Unit[] units, ErrorEstimate[] errors, Gridded2DSet set, Object token)`
`void` `processGridded3DDoubleSet(SetType type, double[][] samples, int[] lengths, CoordinateSystem cs, Unit[] units, ErrorEstimate[] errors, Gridded3DDoubleSet set, Object token)`
`void` `processGridded3DSet(SetType type, float[][] samples, int[] lengths, CoordinateSystem cs, Unit[] units, ErrorEstimate[] errors, Gridded3DSet set, Object token)`
`void` `processGriddedSet(SetType type, float[][] samples, int[] lengths, CoordinateSystem cs, Unit[] units, ErrorEstimate[] errors, GriddedSet set, Object token)`
`void` `processInteger1DSet(SetType type, int[] lengths, CoordinateSystem cs, Unit[] units, ErrorEstimate[] errors, Integer1DSet set, Object token)`
`void` `processInteger2DSet(SetType type, int[] lengths, CoordinateSystem cs, Unit[] units, ErrorEstimate[] errors, Integer2DSet set, Object token)`
`void` `processInteger3DSet(SetType type, int[] lengths, CoordinateSystem cs, Unit[] units, ErrorEstimate[] errors, Integer3DSet set, Object token)`
`void` `processIntegerNDSet(SetType type, int[] lengths, CoordinateSystem cs, Unit[] units, ErrorEstimate[] errors, IntegerNDSet set, Object token)`
`void` `processIrregular1DSet(SetType type, float[][] samples, CoordinateSystem cs, Unit[] units, ErrorEstimate[] errors, Irregular1DSet set, Object token)`
`void` `processIrregular2DSet(SetType type, float[][] samples, CoordinateSystem cs, Unit[] units, ErrorEstimate[] errors, Delaunay delaunay, Irregular2DSet set, Object token)`
`void` `processIrregular3DSet(SetType type, float[][] samples, CoordinateSystem cs, Unit[] units, ErrorEstimate[] errors, Delaunay delaunay, Irregular3DSet set, Object token)`
`void` `processIrregularSet(SetType type, float[][] samples, CoordinateSystem cs, Unit[] units, ErrorEstimate[] errors, Delaunay delaunay, IrregularSet set, Object token)`
`void` `processLinear1DSet(SetType type, double[] firsts, double[] lasts, int[] lengths, CoordinateSystem cs, Unit[] units, ErrorEstimate[] errors, Linear1DSet set, Object token)`
`void` `processLinear2DSet(SetType type, double[] firsts, double[] lasts, int[] lengths, CoordinateSystem cs, Unit[] units, ErrorEstimate[] errors, Linear2DSet set, Object token)`
`void` `processLinear3DSet(SetType type, double[] firsts, double[] lasts, int[] lengths, CoordinateSystem cs, Unit[] units, ErrorEstimate[] errors, Linear3DSet set, Object token)`
`void` `processLinearLatLonSet(SetType type, double[] firsts, double[] lasts, int[] lengths, CoordinateSystem cs, Unit[] units, ErrorEstimate[] errors, LinearLatLonSet set, Object token)`
`void` `processLinearNDSet(SetType type, double[] firsts, double[] lasts, int[] lengths, CoordinateSystem cs, Unit[] units, ErrorEstimate[] errors, LinearNDSet set, Object token)`
`void` `processList1DSet(SetType type, float[] list, CoordinateSystem cs, Unit[] units, List1DSet set, Object token)`
`void` `processProductSet(SetType type, SampledSet[] sets, CoordinateSystem cs, Unit[] units, ErrorEstimate[] errors, ProductSet set, Object token)`
`void` `processReal(RealType type, double value, Unit unit, ErrorEstimate error, Real real, Object token)`
`void` `processRealTuple(RealTupleType type, Real[] components, CoordinateSystem cs, RealTuple rt, Object token)`
`void` `processSampledSet(SetType st, int manifold_dimension, CoordinateSystem cs, Unit[] units, ErrorEstimate[] errors, SampledSet set, Object token)`
`void` `processSimpleSet(SetType st, int manifold_dimension, CoordinateSystem cs, Unit[] units, ErrorEstimate[] errors, SimpleSet set, Object token)`
`void` `processSingletonSet(RealTuple sample, CoordinateSystem cs, Unit[] units, ErrorEstimate[] errors, SingletonSet set, Object token)`
`void` `processText(TextType type, String value, boolean missing, Text text, Object token)`
`void` `processTuple(TupleType type, Data[] components, Tuple t, Object token)`
`void` `processUnionSet(SetType type, SampledSet[] sets, UnionSet set, Object token)`
`void` `processUnknownData(DataImpl data, Object token)`

Method Detail

### process

    public void process(DataImpl data,
                        Object token)
                 throws VisADException

  Throws:
    `VisADException`

### processDoubleSet

    public void processDoubleSet(SetType type,
                                 CoordinateSystem cs,
                                 Unit[] units,
                                 DoubleSet set,
                                 Object token)
                          throws VisADException

  Throws:
    `VisADException`

### processFieldImpl

    public void processFieldImpl(FunctionType type,
                                 Set set,
                                 FieldImpl fld,
                                 Object token)
                          throws VisADException

  Throws:
    `VisADException`

### processFlatField

    public void processFlatField(FunctionType type,
                                 Set domainSet,
                                 CoordinateSystem cs,
                                 CoordinateSystem[] rangeCS,
                                 Set[] rangeSets,
                                 Unit[] units,
                                 FlatField fld,
                                 Object token)
                          throws VisADException

  Throws:
    `VisADException`

### processFloatSet

    public void processFloatSet(SetType type,
                                CoordinateSystem cs,
                                Unit[] units,
                                FloatSet set,
                                Object token)
                         throws VisADException

  Throws:
    `VisADException`

### processGridded1DDoubleSet

    public void processGridded1DDoubleSet(SetType type,
                                          double[][] samples,
                                          int[] lengths,
                                          CoordinateSystem cs,
                                          Unit[] units,
                                          ErrorEstimate[] errors,
                                          Gridded1DDoubleSet set,
                                          Object token)
                                   throws VisADException

  Throws:
    `VisADException`

### processGridded2DDoubleSet

    public void processGridded2DDoubleSet(SetType type,
                                          double[][] samples,
                                          int[] lengths,
                                          CoordinateSystem cs,
                                          Unit[] units,
                                          ErrorEstimate[] errors,
                                          Gridded2DDoubleSet set,
                                          Object token)
                                   throws VisADException

  Throws:
    `VisADException`

### processGridded3DDoubleSet

    public void processGridded3DDoubleSet(SetType type,
                                          double[][] samples,
                                          int[] lengths,
                                          CoordinateSystem cs,
                                          Unit[] units,
                                          ErrorEstimate[] errors,
                                          Gridded3DDoubleSet set,
                                          Object token)
                                   throws VisADException

  Throws:
    `VisADException`

### processGridded1DSet

    public void processGridded1DSet(SetType type,
                                    float[][] samples,
                                    int[] lengths,
                                    CoordinateSystem cs,
                                    Unit[] units,
                                    ErrorEstimate[] errors,
                                    Gridded1DSet set,
                                    Object token)
                             throws VisADException

  Throws:
    `VisADException`

### processGridded2DSet

    public void processGridded2DSet(SetType type,
                                    float[][] samples,
                                    int[] lengths,
                                    CoordinateSystem cs,
                                    Unit[] units,
                                    ErrorEstimate[] errors,
                                    Gridded2DSet set,
                                    Object token)
                             throws VisADException

  Throws:
    `VisADException`

### processGridded3DSet

    public void processGridded3DSet(SetType type,
                                    float[][] samples,
                                    int[] lengths,
                                    CoordinateSystem cs,
                                    Unit[] units,
                                    ErrorEstimate[] errors,
                                    Gridded3DSet set,
                                    Object token)
                             throws VisADException

  Throws:
    `VisADException`

### processGriddedSet

    public void processGriddedSet(SetType type,
                                  float[][] samples,
                                  int[] lengths,
                                  CoordinateSystem cs,
                                  Unit[] units,
                                  ErrorEstimate[] errors,
                                  GriddedSet set,
                                  Object token)
                           throws VisADException

  Throws:
    `VisADException`

### processInteger1DSet

    public void processInteger1DSet(SetType type,
                                    int[] lengths,
                                    CoordinateSystem cs,
                                    Unit[] units,
                                    ErrorEstimate[] errors,
                                    Integer1DSet set,
                                    Object token)
                             throws VisADException

  Throws:
    `VisADException`

### processInteger2DSet

    public void processInteger2DSet(SetType type,
                                    int[] lengths,
                                    CoordinateSystem cs,
                                    Unit[] units,
                                    ErrorEstimate[] errors,
                                    Integer2DSet set,
                                    Object token)
                             throws VisADException

  Throws:
    `VisADException`

### processInteger3DSet

    public void processInteger3DSet(SetType type,
                                    int[] lengths,
                                    CoordinateSystem cs,
                                    Unit[] units,
                                    ErrorEstimate[] errors,
                                    Integer3DSet set,
                                    Object token)
                             throws VisADException

  Throws:
    `VisADException`

### processIntegerNDSet

    public void processIntegerNDSet(SetType type,
                                    int[] lengths,
                                    CoordinateSystem cs,
                                    Unit[] units,
                                    ErrorEstimate[] errors,
                                    IntegerNDSet set,
                                    Object token)
                             throws VisADException

  Throws:
    `VisADException`

### processIrregular1DSet

    public void processIrregular1DSet(SetType type,
                                      float[][] samples,
                                      CoordinateSystem cs,
                                      Unit[] units,
                                      ErrorEstimate[] errors,
                                      Irregular1DSet set,
                                      Object token)
                               throws VisADException

  Throws:
    `VisADException`

### processIrregular2DSet

    public void processIrregular2DSet(SetType type,
                                      float[][] samples,
                                      CoordinateSystem cs,
                                      Unit[] units,
                                      ErrorEstimate[] errors,
                                      Delaunay delaunay,
                                      Irregular2DSet set,
                                      Object token)
                               throws VisADException

  Throws:
    `VisADException`

### processIrregular3DSet

    public void processIrregular3DSet(SetType type,
                                      float[][] samples,
                                      CoordinateSystem cs,
                                      Unit[] units,
                                      ErrorEstimate[] errors,
                                      Delaunay delaunay,
                                      Irregular3DSet set,
                                      Object token)
                               throws VisADException

  Throws:
    `VisADException`

### processIrregularSet

    public void processIrregularSet(SetType type,
                                    float[][] samples,
                                    CoordinateSystem cs,
                                    Unit[] units,
                                    ErrorEstimate[] errors,
                                    Delaunay delaunay,
                                    IrregularSet set,
                                    Object token)
                             throws VisADException

  Throws:
    `VisADException`

### processLinear1DSet

    public void processLinear1DSet(SetType type,
                                   double[] firsts,
                                   double[] lasts,
                                   int[] lengths,
                                   CoordinateSystem cs,
                                   Unit[] units,
                                   ErrorEstimate[] errors,
                                   Linear1DSet set,
                                   Object token)
                            throws VisADException

  Throws:
    `VisADException`

### processLinear2DSet

    public void processLinear2DSet(SetType type,
                                   double[] firsts,
                                   double[] lasts,
                                   int[] lengths,
                                   CoordinateSystem cs,
                                   Unit[] units,
                                   ErrorEstimate[] errors,
                                   Linear2DSet set,
                                   Object token)
                            throws VisADException

  Throws:
    `VisADException`

### processLinear3DSet

    public void processLinear3DSet(SetType type,
                                   double[] firsts,
                                   double[] lasts,
                                   int[] lengths,
                                   CoordinateSystem cs,
                                   Unit[] units,
                                   ErrorEstimate[] errors,
                                   Linear3DSet set,
                                   Object token)
                            throws VisADException

  Throws:
    `VisADException`

### processLinearLatLonSet

    public void processLinearLatLonSet(SetType type,
                                       double[] firsts,
                                       double[] lasts,
                                       int[] lengths,
                                       CoordinateSystem cs,
                                       Unit[] units,
                                       ErrorEstimate[] errors,
                                       LinearLatLonSet set,
                                       Object token)
                                throws VisADException

  Throws:
    `VisADException`

### processLinearNDSet

    public void processLinearNDSet(SetType type,
                                   double[] firsts,
                                   double[] lasts,
                                   int[] lengths,
                                   CoordinateSystem cs,
                                   Unit[] units,
                                   ErrorEstimate[] errors,
                                   LinearNDSet set,
                                   Object token)
                            throws VisADException

  Throws:
    `VisADException`

### processList1DSet

    public void processList1DSet(SetType type,
                                 float[] list,
                                 CoordinateSystem cs,
                                 Unit[] units,
                                 List1DSet set,
                                 Object token)
                          throws VisADException

  Throws:
    `VisADException`

### processProductSet

    public void processProductSet(SetType type,
                                  SampledSet[] sets,
                                  CoordinateSystem cs,
                                  Unit[] units,
                                  ErrorEstimate[] errors,
                                  ProductSet set,
                                  Object token)
                           throws VisADException

  Throws:
    `VisADException`

### processReal

    public void processReal(RealType type,
                            double value,
                            Unit unit,
                            ErrorEstimate error,
                            Real real,
                            Object token)
                     throws VisADException

  Throws:
    `VisADException`

### processRealTuple

    public void processRealTuple(RealTupleType type,
                                 Real[] components,
                                 CoordinateSystem cs,
                                 RealTuple rt,
                                 Object token)
                          throws VisADException

  Throws:
    `VisADException`

### processSampledSet

    public void processSampledSet(SetType st,
                                  int manifold_dimension,
                                  CoordinateSystem cs,
                                  Unit[] units,
                                  ErrorEstimate[] errors,
                                  SampledSet set,
                                  Object token)
                           throws VisADException

  Throws:
    `VisADException`

### processSimpleSet

    public void processSimpleSet(SetType st,
                                 int manifold_dimension,
                                 CoordinateSystem cs,
                                 Unit[] units,
                                 ErrorEstimate[] errors,
                                 SimpleSet set,
                                 Object token)
                          throws VisADException

  Throws:
    `VisADException`

### processSingletonSet

    public void processSingletonSet(RealTuple sample,
                                    CoordinateSystem cs,
                                    Unit[] units,
                                    ErrorEstimate[] errors,
                                    SingletonSet set,
                                    Object token)
                             throws VisADException

  Throws:
    `VisADException`

### processText

    public void processText(TextType type,
                            String value,
                            boolean missing,
                            Text text,
                            Object token)
                     throws VisADException

  Throws:
    `VisADException`

### processTuple

    public void processTuple(TupleType type,
                             Data[] components,
                             Tuple t,
                             Object token)
                      throws VisADException

  Throws:
    `VisADException`

### processUnionSet

    public void processUnionSet(SetType type,
                                SampledSet[] sets,
                                UnionSet set,
                                Object token)
                         throws VisADException

  Throws:
    `VisADException`

### processUnknownData

    public void processUnknownData(DataImpl data,
                                   Object token)
                            throws VisADException

  Throws:
    `VisADException`